org.apache.fop.afp.fonts

## Class AFPFontInfo

- java.lang.Object
- - org.apache.fop.afp.fonts.AFPFontInfo

    public class AFPFontInfo
    extends Object

FontInfo contains meta information on fonts

### Constructor Summary

Constructors
Constructor and Description
`AFPFontInfo(AFPFont afpFont, List<FontTriplet> tripletList)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`AFPFont` `getAFPFont()` Returns the afp font
`List<FontTriplet>` `getFontTriplets()` Returns the list of font triplets associated with this font.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AFPFontInfo

    public AFPFontInfo(AFPFont afpFont,
                       List<FontTriplet> tripletList)

Main constructor

Parameters:
  `afpFont` - The AFP Font
  `tripletList` - List of font triplets to associate with this font

### Method Detail

#### getAFPFont

    public AFPFont getAFPFont()

Returns the afp font

Returns:
  the afp font

#### getFontTriplets

    public List<FontTriplet> getFontTriplets()

Returns the list of font triplets associated with this font.

Returns:
  List of font triplets